Loading...
Searching...
No Matches
api.h File Reference
`#include <gnuradio/attributes.h>`
Include dependency graph for gr-fec/include/gnuradio/fec/api.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | FEC_API __GR_ATTR_IMPORT

## Macro Definition Documentation

## FEC_API

#define FEC_API __GR_ATTR_IMPORT

Referenced by decode_rs_8(), decode_rs_ccsds(), decode_rs_char(), gr::fec::encode(), encode_rs_8(), encode_rs_ccsds(), encode_rs_char(), free_rs_char(), gr::fec::code::generate_G(), gr::fec::code::generate_G_transpose(), gr::fec::code::generate_H(), gr::fec::get_decoder_input_conversion(), gr::fec::get_decoder_input_item_size(), gr::fec::get_decoder_input_size(), gr::fec::get_decoder_output_conversion(), gr::fec::get_decoder_output_item_size(), gr::fec::get_decoder_output_size(), gr::fec::get_encoder_input_conversion(), gr::fec::get_encoder_input_size(), gr::fec::get_encoder_output_conversion(), gr::fec::get_encoder_output_size(), gr::fec::get_history(), gr::fec::get_shift(), init_rs_char(), gr::fec::code::matrix_free(), gr::fec::code::print_matrix(), gr::fec::code::read_matrix_from_file(), gr::fec::viterbi_butterfly2(), gr::fec::viterbi_chunks_init(), gr::fec::viterbi_get_output(), and gr::fec::code::write_matrix_to_file().